Bug 103422 - Shutdown hangs with "INIT: no more processes left in this runlevel"
Shutdown hangs with "INIT: no more processes left in this runlevel"
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-29 19:34 EDT by Johannes Tanzler
Modified: 2014-03-16 22:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-07 20:23:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johannes Tanzler 2003-08-29 19:34:18 EDT
From Bugzilla Helper:
User-Agent: Opera/6.11 (Linux 2.4.20-18.9 i686; U)  [en]

Description of problem:
The shutdown process (after "reboot" or "halt" commands) hangs after the scripts in /etc/rc0.d or /etc/rc6.d are executed. This message is displayed:
"INIT: no more processes left in this runlevel". 
Only way to reboot is by resetting the computer.
Filesystems aren't unmounted -> possible data loss.

Found out that there are no symlinks to "killall" and "halt" in /etc/rc0.d and /etc/rc6.d. After adding them manually, shutting down and rebooting works fine.

Version-Release number of selected component (if applicable):


How reproducible:
Always
Comment 1 Bill Nottingham 2003-08-29 21:03:55 EDT
What does 'rpm -V initscripts' say?
Comment 2 Johannes Tanzler 2003-09-07 20:23:29 EDT
Uh, it says a lot of files are missing. Reinstalled it and now everything is fine.
Comment 3 Marshall 2004-11-21 05:35:32 EST
Im fairly new to linux, how do I create th simlinks in /etc/rc0.d and
/etc/rc6.d?  
Comment 4 Bill Nottingham 2004-11-21 23:25:14 EST
chkconfig. Note that you'll generally get better help posting to a
list than tagging onto a closed bug. :)

Note You need to log in before you can comment on or make changes to this bug.